## edu.stanford.nlp.tagger.maxent
Class ExtractorDistsim

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Extractor
          edu.stanford.nlp.tagger.maxent.ExtractorDistsim

All Implemented Interfaces:
  Serializable

    public class ExtractorDistsim

extends Extractor

Extractor for adding distsim information.

Author:
  rafferty
See Also:
  Serialized Form

Nested Class Summary
`static class` `ExtractorDistsim.ExtractorDistsimConjunction`

Method Summary
`boolean` `isDynamic()`
`boolean` `isLocal()`

Methods inherited from class edu.stanford.nlp.tagger.maxent.Extractor
`leftContext, precondition, rightContext, setGlobalHolder, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isLocal

    public boolean isLocal()

  Overrides:
    `isLocal` in class `Extractor`
  Returns:
    Returns true if extractor is not a function of POS tags, and only depends on current word.

### isDynamic

    public boolean isDynamic()

  Overrides:
    `isDynamic` in class `Extractor`
  Returns:
    Returns true if extractor is a function of POS tags; if it returns false, features are pre-computed.

Stanford NLP Group